# 2. Project management

This week I worked on Assignment 2, the assignment was going through a git tutorial and see how it work and to build a personal website describing me and my final project.

##**Research**

I pass through a git [video](https://www.youtube.com/watch?v=8JJ101D3knE) tutorial from an online teacher called **Mosh** and learnt the basics on git as follow:

**Git** is a most popular version control system in the world; because it is free, open source, superfast, and scalable with operations like branching and merging used to track history and collaborate with others.

A **version control system** records the changes made to our code over time in aspecial database called repository. Trough a version control system we can trackour project history and work togather,see what changes, when was made, and by who.

As **Git**, a distributed version control system where you can work locally, then share or push your changes to a server which is **GitLab**. every one has a copy of his/her project with its history on his/her machine so we can save snapshots of our projects localy and the synchronisation of our works to others and continue even when the server(**GitLab**) fail. GitLab uses SSH Protocal to securely communicate with Git. When you use SSH keys to authenticate to the GitLab remote server, you do not need to supply user name and password each time. Because I do not have an existing SSH key pair, I need to generate a new one. I started by some configurations:

###**Git global configuration**

1. Open Git bash

2. Set your username: **git config --global user.name "mohoro.joyeuse"** 

3. Set your email address: **git config --global user.email "joyeusemah@gmail.com"**

Now, it's time to generate new SSH key.

###**Steps used to generate my SSH key:** 

![](../images/Week2/SSHKey.PNG)

![](../images/Week2/LabelMessage.PNG)

Below is the email received confirming my SSH key.

![](../images/Week2/SSHKeyReceived.PNG)

![](../images/Week2/SSHKeyGain.PNG)

You can see the above steps on this [link](https://docs.github.com/en/authentication/connecting-to-github-with-ssh/generating-a-new-ssh-key-and-adding-it-to-the-ssh-agent)


##**Working with Git**

To get started with **git**, I first dawnload **git [here](https://git-scm.com/downloads)** and install **git bash** on my laptop. I choose to use **command line(git bash)** rather than **git tools** because tools have limitations acoording to the operating system in your machine and also tools are not always available.

After installing git I set my user name and password on fab cloud as you can see on this [link](https://gitlab.fabcloud.org/) and below.

![](../images/Week2/FabCloud.PNG)

Below, is how my repository look for now after making some modifications.

![](../images/Week2/repository.PNG)

###**Local git environment**

Starting Git Bash, I run some **commands** and specify few configurations like:

1. **git - -version**: to see the version of git am running and it is **2.35.1.windows.2**
2. **git init:** To initialise my git.
3. **git clone:**  git@gitlab.fabcloud.org:academany/fabacademy/2022/labs/rwanda/students/mohoro-joyeuse.git

I get the link to clone or dawnload my repository to my local laptop from the page below under **Clone with SSH**

![](../images/Week2/gitClone.PNG)


###**Pushing my work to class archive commands**

**Open Git Bash** and type the following commands to upload your work to GitLab.
**1. git add . ** to add all created or changed files to your repository.
**2. git commit -m "first commit"** to save all the changes with a brief description message about the changes in your repository.
**3. git pull ** to pull all posible changes on the cloud to your local repository.
**4. git push orgin master **to push my changes from local repository to the cloud. Below, I was using git Bash command.

![](../images/Week2/gitCods.PNG)

###**Building a personnel website**

There are many different text editor to build a personnel site for example **Sublime, Bracket** and you can also build a site by combining **HTML** with **CSS** , I tried and use subime text and I have not screenshot due to my first laptop which was crashed and lead me to loose all my works. After getting an other laptop, I choose to edit the given website by following the provided steps by Fabacademy which is in my username folder this is the [link](https://gitlab.fabcloud.org/academany/fabacademy/2022/labs/rwanda/students/mohoro-joyeuse) to them.

##**Markdawn:**

As the provided site use markdown content which was generated using **Mkdocs tool**(which is a static site generator written in python) I have to learn it to be able to edit the provided site.

**Markdawn** is a plain text formating syntax used to write content on the web. It is a quick and easy way to format plain text using special characters like asterisks,dashes,underscores,...and it has an editor **Marktext Editor** which is popular,free and open source designed for writing in markdawn; Marktext has an interface and a live editor that hides the markdawn formating after you type it.

To get started with Markdawn, I first dawnload Marktext editor [here](https://github.com/marktext/marktext) and Install; I opened it and choose File, Open folder, I selected mohoro-joyeuse forder from its location on my laptop: this PC->Local disk(C:)->users->Hp->FabAcademy_2022->mohoro-joyeuse, then my folder opened with all its files, then I start my modifications.

I have customized the file **mkdocs.yml** with my information and you may change the look of your website by using **Theme option** under mkdocs.yml file as marked by a red pen on the following image.

![](../images/Week2/MkdocsTheme.PNG)

**Marktext in use example**

![](../images/Week2/marktext.PNG)

## Marktext Code Example

I have used:

 **ctrl+shift+i** :  to insert the above image

You can **Duplicate**, **Turn into**(Header1 up to Headet 6, list, mathematics,..), you can add a **New paragraph** enclosed with a red pen on the below image and **Delete** any thing by clicking on **New paragraph symbol** appeared before the sentence and various options displayed as you can see below.  

![](../images/Week2/MarkTextUse.PNG)

###**Useful links**

- [Markdawn](https://blog.bit.ai/what-is-markdown/)

- Teacher Mosh git tutorial [video](https://www.youtube.com/watch?v=8JJ101D3knE)

- Steps to generate new SSH key [link](https://docs.github.com/en/authentication/connecting-to-github-with-ssh/generating-a-new-ssh-key-and-adding-it-to-the-ssh-agent)