# 13. Applications and implications

This week I worked on proposing a **final project masterpiece** that integrates the range of unit covered and answering the following questions:

##**Qwestion1: What will it do?**

I want to implement a **smart door lock system** which will only allow authenticated persons to open it; With the help of my project, you can also remotely monitor your door lock from any where in the world using your phone(Iphone and Android device)and to open the door lock permission should be granted by the admin who is the owner of the home, office, lab, gadget,..  where my smart lock should be applied. I will use electronic devices such as ** 1 Node MCU ESP 8266, 1RFID MF-RC-522 Module, 1Relay module, 1Solenoid lock, and a Blynk IOT platform.**

**My project sketch** 

![](../images/Week13/Scketch1.jpg)

###**Qwestion2: Who's done what beforehand?**

After deciding to work on smart door lock system, I did a research over internet and I found that many people did smart door projects before, I like the one of Mohammed Aqib [link](https://create.arduino.cc/projecthub/muhammad-aqib/rfid-and-keypad-door-lock-and-alert-system-using-arduino-60f050?ref=similar&ref_id=447803&offset=1) Who implent a smart project where you have to scan you RFID card and then after they ask you to enter a correct password to open the door because it use strong secure measure.Below is how it look like. But on my side RFID card only or Keypad for password only can open the door.

![](../images/Week13/SmartLock.JPG)

I googled on smart lock system in Fablab and I found a man called Mansor Ahmed from Kairpul who did the similar project which use RFID, Keypad to give access to authorized people only to open the door As you can see below.

![](../images/Week13/Mansor.JPG)

###**Qwestion3: What will you design?**

-A box in form of a house with a phyiscal door.
-Door hinge
-Electronics(PCB)to connect my lock system.

###**Qwestion4: What materials and components will be used?**

- Node MCU ESP8266
- RFID Module
- a Relay Module
- Solenoid lock
- LED to indicate WIFI Connection and Blynk IoT server connection(It will blink when the data is sent successfully to the server)
- Red LED to alert when an authorized access is detected.
- Wires and Jumpers
- Power Supply of 12V
- Acrylic Sheet for cutting in creating my house box.
- PLA for Door hinge printing.

###**Qwestion5: Where will come from?**

All of materials and components I need to use are available in our local fablab.

###**Qwestion6: How much will they cost?**

I can not specify the cost of materials and components to be used because as I have mentioned all are available in our local fablab

###**Qwestion7: What parts and systems will be made?**

-Main board where all other electronic devices will be connected mill and solder it.
-Lasercut the arcrylic house box(to contain electronic board and wiring)with a phyisical door.
-3D print the door hinge(to connect the door with the house box).

###**Qwestion8: What processes will be used?**

- **CAD**(Computer Aided Design): I will use a 3D disigning software which is <u>SolidWorks</u> in designing house box and a phyisical door to be cutted by our <u>lasercutter</u> and a door hinge to be printed by our <u>3D printer</u>.
- **LaserCutting** to lasercut the acrylic sheet in order to house box and door.
- **3D printing** to print the door hinge.
- **Electronic design** will be done in Kicad 
- **Eletronic production** generated RML files from mods will be milled by our SRM-20 Roland machine and I will solder it. 
- **Electronic programming** I will use arduinoIDE to program the board.
- **Networking** using WIFI building on **Node MCU ESP 8266**(Wireless interfacing with App)and wired interfacing with board.
- **Inteface and Application** I will use Blyink IoT to develop the mobile app to help the user to control his/her door remotely.

###**Qwestion9: What questions need to be answered?**

- Is the design and mechanism of the door and door hinge allow them to open and close easily?
- Is the solenoid lock respond accordingly when RFID or mobile phone used to provide acces to any one who want to enter in?
- Is the designed mobile application user friendly?
- How easily to impement my system on homes, offices,labs, gadgets,..?

###**Qwestion10: How will it be evaluated?**

This should be evaluetted on how I will use the **<u>skills learnt in weekly assignments</u>** for instance 

- **CAD(Computer Aided Design)**for designing house box and door hinge in solidworks software.
- **Computer Control Cutting** on how I will use laser cutter machine in cutting house box and door.
- **3D printing** on how I will print door hinge using 3D printing machine(Ender3).
- **Electronic design** on how I will use Kicad software in designing an ATmega 328p board.
- **Electronic production** on how I will use SRM-20 Roland machine in milling the designed board and solder it.
- **Input** on how I will use RFID card for authentication purpose.
- **Solenoid lock** as output device.
- **Embedded programming** on how I will program those electronic devices to do their tasks in arduinoIDE.
- **Networking** by using build in Node MCU ESP8266 WIFI for wireless communication with the mobile app and wires for the board to communicate with other electronic devices.
- **Interface and Communication** On how I will develop mobile app in Blynk IoT.As I will need to apply all mentioned skills in this final project.


