# 15. Mechanical, and Machine design

This week assignment is a group assignment which is to:
   - design a machine that includes mechanism+actuation+automation+application
   - build the mechanical parts and operate it manually
   - document the group project and your individual contribution

Each in our group come up with anidea and we discus each other then after we conclude by **making a small laser cutter machine**.

I worked on electonics personaly as **Laser cutter**is a type of CNC(Computer Numerical Control)that uses a focused, high powered laser beam to mark, cut, or engrave a material to form cusiom shapes.Like other types of CNC machine, a CNC laser cutter has a laser head containing a laser focus lens and a nozzle; Through the nozzle, this head and lens assembly focuses a laser beam-a column of very high intensity light-on the workpiece, melting, and cutting the work piece to form the desired shape. CNC lasers employ compressed gas to cool the focus lens and expel the vapolized metal out of the work piece.**To make our laser machine we neeed GRBL**

 ##**What is GRBL**
 
GRBL is an open source software(firmware) which enables motion control for CNC machines; The GRBL uses G-code as input, and outputs motion control via the Arduino. Below you can see the concept

![](../images/Week15/Design.PNG)

#**How to install GRBL**

**GRBL** is a firmware that we need to install/upload to the arduino so that it can control the stepper motors of the CNC machine means its function is to translate the G-Code into motor movement. Downloaded it [here](https://github.com/gnea/grbl)on **Dawnload Zip** as on the image below

![](../images/Week15/GRBLzip.PNG)

**Follow these steps**

- Extract files from the zipped one, Navigate to the extracted folder “grbl-master”, in there select the “grbl” folder and click the open file. Now we have to GRBL as an Arduino Library.

- Next, navigate to File > Examples > grbl > grblUpload. A new sketch will open and we need to upload it to the Arduino board.

![](../images/Week15/AddingFolder.PNG)

**GRBL configuration**

At this point we should configure the GRBL to our machine. We can do that via the Serial Monitor of the Arduino IDE. Once we open the Serial Monitor we will get a message like **“Grbl 1.1h [‘$’ for help]”**. With the baudrate of 115200.

If we type “$$” we will get a list of commands or current settings as below:

$100=250.000 (x, step/mm)
$101=250.000 (y, step/mm)
$102=3200.000 (z, step/mm)
$110=500.000 (x max rate, mm/min)
$111=500.000 (y max rate, mm/min)
$112=500.000 (z max rate, mm/min)

Which means how **many steps the motor should make in order our X axis to move 1 mm** for example on the first statement. We leave them as they are. And we will adjust them according to our machine using the controller software.

**GRBL Controller**

So once we have installed the GRBL firmware, now our Arduino knows how to read **G-code** and how **to control the Laser machine according to it**.**To send the G-code to the Arduino** we need **interface or a controller software** which will tell the Arduino what to do.We have used open source interface which is **Univarsal G-code Sender**. And below is the our interface we are using.

![](../images/Week15/gbreeee.png)
